import {createRouter, createWebHashHistory} from "vue-router";

export default createRouter({
    history: createWebHashHistory(),
    routes: [
        {
            path: '',
            redirect: '/home'
        },
        {
            path: '/home',
            name: 'home',
            title: '首页',
            component: () => import("~/pages/home/index.vue"),
        },

        {
            path: '/zhjy',
            name: 'zhjy',
            component: () => import("~/pages/zhjy/index.vue"),
        },
        {
            path: '/zhjy/zhjyzxxx',
            name: "zhjy_zhjyzxxx",
            component: () => import("~/pages/zhjy/zhjyzxxx/index.vue"),
        },
        {
            path: '/zhjy/zhjyxtbk',
            name: "zhjy_zhjyxtbk",
            component: () => import("~/pages/zhjy/zhjyxtbk/index.vue"),
        },
        {
            path: '/zhjy/zhjytbjy',
            name: "zhjy_zhjytbjy",
            component: () => import("~/pages/zhjy/zhjytbjy/index.vue"),
        },
        {
            path: '/ysgc',
            name: 'ysgc',
            component: () => import("~/pages/ysgc/index.vue"),
        },
        {
            path: '/szmsg',
            name: 'szmsg',
            component: () => import("~/pages/szmsg/index.vue"),
        },
        {
            path: '/tskcz',
            name: 'tskcz',
            component: () => import('~/pages/szmsg/tskcz/index.vue'),
        },
        {
            path: '/resource',
            name: 'resource',
            title: '资源',
            component: () => import("~/pages/courseResources.vue"),
        },
        {
            path: '/resourceAll',
            name: 'resourceAll',
            title: '全部资源',
            component: () => import("~/pages/courseResourcesAll.vue"),
        },
        {
            path:'/zbkt',
            title: '直播课堂',
            children: [
                {
                    path: '',
                    name: 'zbkt',
                    component: () => import("~/pages/zbkt/index.vue"),
                },
                {
                    path: 'ssys',
                    children: [
                        {
                            path: '',
                            name: 'ssys',
                            component: () => import("~/pages/zbkt/ssys/index.vue"),
                        },
                    ]
                },
                {
                    path: 'wlzb',

                    children: [
                        {
                            path: '',
                            name: 'wlzb',
                            component: () => import("~/pages/zbkt/wlzb/index.vue"),
                        },
                    ]
                },
                {
                    path: 'ztzb',
                    children: [
                        {
                            path: '',
                            name: 'ztzb',
                            component: () => import("~/pages/zbkt/ztzb/index.vue"),
                        },
                    ]
                }
            ]
        },
        {
            path: '/resourceChapter',
            name: 'resourceChapter',
            title: '课程资源章节',
            component: () => import("~/pages/courseResourcesChapter.vue"),
        },
    ]

})

